Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class StartState

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.StartState

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class StartState

extends Node

See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`StartState()`
`StartState(java.lang.String name)`

Method Summary
`Transition` | `addArrivingTransition(Transition t)` add a bidirection relation between this node and the given arriving transition.
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`java.lang.String[]` | `getSupportedEventTypes()` indicative set of event types supported by this graph element.
`void` | `leave(ExecutionContext executionContext, Transition transition)` called by the implementation of this node to continue execution over the given transition.
`void` | `read(org.dom4j.Element startStateElement, JpdlXmlReader jpdlReader)`
`void` | `setArrivingTransitions(java.util.Map arrivingTransitions)`
`void` | `write(org.dom4j.Element nodeElement)`

Methods inherited from class org.jbpm.graph.def.Node
`addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### supportedEventTypes

    public static final java.lang.String[] supportedEventTypes

Constructor Detail

### StartState

    public StartState()

### StartState

    public StartState(java.lang.String name)

Method Detail

### getSupportedEventTypes

    public java.lang.String[] getSupportedEventTypes()

  Description copied from class: `GraphElement`
  indicative set of event types supported by this graph element. this is currently only used by the process designer to know which event types to show on a given graph element. in process definitions and at runtime, there are no contstraints on the event-types.

  Overrides:
    `getSupportedEventTypes` in class `Node`

### read

    public void read(org.dom4j.Element startStateElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### write

    public void write(org.dom4j.Element nodeElement)

  Specified by:
    `write` in interface `Parsable`
  Overrides:
    `write` in class `Node`

### leave

    public void leave(ExecutionContext executionContext,
                      Transition transition)

  Description copied from class: `Node`
  called by the implementation of this node to continue execution over the given transition.

  Overrides:
    `leave` in class `Node`

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### addArrivingTransition

    public Transition addArrivingTransition(Transition t)

  Description copied from class: `Node`
  add a bidirection relation between this node and the given arriving transition.

  Overrides:
    `addArrivingTransition` in class `Node`

### setArrivingTransitions

    public void setArrivingTransitions(java.util.Map arrivingTransitions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD